MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions
DatabaseSong.hxx File Reference
`#include "Compiler.h"`
Include dependency graph for DatabaseSong.hxx:

Go to the source code of this file.

## Functions
gcc_pure DetachedSong | DatabaseDetachSong (const Storage &storage, const LightSong &song)
| "Detach" the Song object, i.e. More...
gcc_malloc gcc_nonnull_all DetachedSong * | DatabaseDetachSong (const Database &db, const Storage &storage, const char *uri)
| Look up a song in the database and convert it to a DetachedSong instance. More...

## Function Documentation

gcc_pure DetachedSong DatabaseDetachSong | ( | const Storage & | storage,
|  | const LightSong & | song
| ) |  |

"Detach" the Song object, i.e.

convert it to a DetachedSong instance.

gcc_malloc gcc_nonnull_all DetachedSong* DatabaseDetachSong | ( | const Database & | db,
|  | const Storage & | storage,
|  | const char * | uri
| ) |  |

Look up a song in the database and convert it to a DetachedSong instance.

The caller is responsible for freeing it.

Returns
  nullptr on error